- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetDefinitions#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetDefinitions#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetDefinitions#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetDefinitions#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetDefinitions#body.GetLegacySoarDashboardWidgetDefinitionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetDefinitions#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetDefinitions#body.aspect_1)
- [DashboardWidgetDefinitionDataModel](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetDefinitions#DashboardWidgetDefinitionDataModel)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetDefinitions#DashboardWidgetDefinitionDataModel.SCHEMA_REPRESENTATION)
- [DashboardWidgetTypesEnum](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetDefinitions#DashboardWidgetTypesEnum)

**Full name**: projects.locations.instances.legacySoarDashboard.legacyGetDashboardWidgetDefinitions

Returns all available widget definitions that can be used to construct a dashboard. This includes predefined templates for various SOC metrics and chart types.

### HTTP request

`GET https://{endpoint}/v1alpha/{instance}/legacySoarDashboard:legacyGetDashboardWidgetDefinitions`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance to get the dashboard widget definitions for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body must be empty.

### Response body

GetLegacySoarDashboardWidgetDefinitionsResponse represents the response for getting dashboard widget definitions.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "payload": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetDefinitions#DashboardWidgetDefinitionDataModel`) } ] } ``` |

| Fields ||
|---|---|
| `payload[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetDefinitions#DashboardWidgetDefinitionDataModel`)`` Optional. The data model of the dashboard widget definitions. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacySoarDashboards.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## DashboardWidgetDefinitionDataModel

DashboardWidgetDefinitionDataModel represents the data model for a dashboard widget definition.

| JSON representation |
|---|
| ``` { "id": integer, "name": string, "description": string, "widgetPreviewImage": string, "widgetType": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetDefinitions#DashboardWidgetTypesEnum`), "axisXDescription": string, "axisYDescription": string, "creationTimeUnixTimeInMs": string, "modificationTimeUnixTimeInMs": string } ``` |

| Fields ||
|---|---|
| `id` | `integer` Optional. The ID of the widget. |
| `name` | `string` Optional. The name of the widget. |
| `description` | `string` Optional. The description of the widget. |
| `widgetPreviewImage` | `string` Optional. The widget preview image. |
| `widgetType` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetDefinitions#DashboardWidgetTypesEnum`)`` Optional. The type of the widget. |
| `axisXDescription` | `string` Optional. The description of the x axis. |
| `axisYDescription` | `string` Optional. The description of the y axis. |
| `creationTimeUnixTimeInMs` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The creation time of the widget in Unix time in milliseconds. |
| `modificationTimeUnixTimeInMs` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The update time of the widget in Unix time in milliseconds. |

## DashboardWidgetTypesEnum

DashboardWidgetTypesEnum is an enum that represents the widget types for a dashboard.

| Enums ||
|---|---|
| `DASHBOARD_WIDGET_TYPE_UNSPECIFIED` | Unspecified widget type |
| `CUSTOM` | Custom type |
| `PLAYBOOK_MONITORING` | Playbook monitoring |